Page MenuHomeMiraheze

Test CheckUser (Review/Allow)
Closed, DeclinedPublic

Description

At TheTestWiki there is a CheckUser test extension, where you can test the CheckUser extension on yourself. If possible I'd like this extension to also be on our testwiki, in case people want to see how the CheckUser extension works. I remember asking about this and it getting denied but I don't remember the reason.

Code is: https://github.com/skizzerz/thetestwiki-checkuser

Event Timeline

John added a comment.Apr 16 2017, 11:22

Last updated almost 4 years ago; un maintained code.

Just because it was last updated four years ago, doesn't mean that it is unmaintained. In fact, I would like it to be enabled globally on all wikis at least until wiki founders are allowed to have full CheckUser access locally on their wikis.

Reception123 added a comment.EditedApr 16 2017, 15:49

@Amanda It is unmaintained, but IMO that is not a reason for this to be declined.

Please try not to continue with these requests, as SPF commented on the RfC. We will not enable an extension like this globally, as it is for testing purposes only.

I've contacted the developer, Skizzerz and they have pushed new code to the extension so it is no longer unmaintained.

John closed this task as Declined.Sep 13 2017, 16:02
John claimed this task.

Falls into the category of "not really sure this is useful".

Paladox changed the edit policy from "Custom Policy" to "All Users".Sep 24 2018, 00:27
AmandaCath reopened this task as Open.Sep 24 2018, 00:52
AmandaCath removed John as the assignee of this task.
AmandaCath lowered the priority of this task from Normal to Low.

I’m going to look into possibly forking and maintaining this, as I know enough MW and PHP to probably do so, and I do think that its a useful feature to have at least on publictestwiki. Anyone who comes from WMF will have heard of CU at least once or twice, and it’s one of the most popular things that I think people would be curious about, especially because almost every wiki hosting service, with the exception of MyWikis.com doesn’t allow wiki creators to access the tool. Therefore, I don’t think this falls under the category of “not useful”.

AmandaCath changed the task status from Open to Stalled.Sep 24 2018, 00:54
AmandaCath moved this task from Backlog to Other on the Extensions board.

Okay, status update: The code is definitely workable. It needs to be updated for the latest version(s) of MediaWiki, but that’s the largest issue that I could find. The only other thing that I’ll note is that the current code doesn’t give users with the checkuser-limited permission access to Special:CheckUserLog, which is one of the key elements of the CU extension. I’ll look into adding code to allow a restricted log access where one can only see log entries of checks they have run, and since they will have only run checks on themselves, no PII will be divulged.

That being said, I am unfortunately currently dealing with some personal issues right now and therefore I’m not at my best and have not been as active as I would like to be. I likely will not be back to my normal activity levels until after the holidays, and even then I’m not sure how much I’ll be doing when, and therefore I cannot give an exact timeline on this.

AmandaCath moved this task from Tracking to Assignments on the Amanda Catherine board.
Corey added a subscriber: Corey.EditedJan 1 2019, 09:33

I’m sorry but I don’t really see a need for this. CheckUser is already very well documented and plenty of screenshots are available of the tool and its functionality. I’m sure anyone coming from WMF will be somewhat familiar with the tool.

I definitely do not see the need nor support the notion of enabling this extension globally. Why not expand on our documentation of the tool instead of adding a whole ‘nother extension that’ll need to be maintained?

I’m not talking about enabling it globally. I’m talking about getting the code updated and working just for publictestwiki, and perhaps if I can make it available for individual wikis to enable upon request/need, I’ll go for that. However, I have never had any interest in trying to make it work globally.

If it were to be enabled (which at this point seems more unlikely) it would only be enabled on testwiki, as there is no other reason for any other wiki to have this extension, since its sole purpose would be to "test out" CheckUser.

Corey added a comment.Jan 1 2019, 21:26

I’m not talking about enabling it globally. I’m talking about getting the code updated and working just for publictestwiki, and perhaps if I can make it available for individual wikis to enable upon request/need, I’ll go for that. However, I have never had any interest in trying to make it work globally.

But in T1670#30626 you said:

In fact, I would like it to be enabled globally on all wikis at least until wiki founders are allowed to have full CheckUser access locally on their wikis.

So are you wanting it globally enabled or not? Can’t switch back and forth on a position and not expect a bit of confusion. ;)

Anyways, CheckUser contains a great deal of information. I don’t see any need whatsoever for wiki founders to need unrestricted access to the tool. The current CheckUser policy is more than adequate.

If it were to be enabled (which at this point seems more unlikely) it would only be enabled on testwiki, as there is no other reason for any other wiki to have this extension, since its sole purpose would be to "test out" CheckUser.

This would definitely be preferable so long as we can ensure that there’s no possible way to use it on another user. That’d be my only concern.

John closed this task as Declined.Feb 3 2019, 23:44

Approach testwiki administrators (consuls) and gain permission before asking for a review of the extension once you've done the necessary work.